]>
git.madduck.net Git - code/vcsh.git/blobdiff - vcsh
madduck's git repository
Every one of the projects in this repository is available at the canonical
URL git://git.madduck.net/madduck/pub/<projectpath> — see
each project's metadata for the exact URL.
All patches and comments are welcome. Please squash your changes to logical
commits before using git-format-patch and git-send-email to
patches@ git. madduck. net .
If you'd read over the Git project's submission guidelines and adhered to them,
I'd be especially grateful.
SSH access, as well as push access can be individually
arranged .
If you use my repositories frequently, consider adding the following
snippet to ~/.gitconfig and using the third clone URL listed for each
project:
[url "git://git.madduck.net/madduck/"]
insteadOf = madduck:
+info () {
+ echo "$SELF: info: $1"
+}
+
setup() {
git config core.worktree "$GIT_WORK_TREE"
git config core.excludesfile ".gitignore.d/$VCSH_REPO_NAME"
setup() {
git config core.worktree "$GIT_WORK_TREE"
git config core.excludesfile ".gitignore.d/$VCSH_REPO_NAME"
if [ -e "$check_directory" ]; then
fatal "$check_directory exists but is not a directory" 13
else
if [ -e "$check_directory" ]; then
fatal "$check_directory exists but is not a directory" 13
else
- echo "$SELF: info: attempting to create $check_directory"
+ info " attempting to create $check_directory"
mkdir -p "$check_directory" || fatal "could not create $check_directory" 50
fi
fi
mkdir -p "$check_directory" || fatal "could not create $check_directory" 50
fi
fi
old_dir="$PWD"
cd "$HOME"
use || exit $?
old_dir="$PWD"
cd "$HOME"
use || exit $?
- echo "$SELF: info: This operation WILL DETROY DATA!"
+ info " This operation WILL DETROY DATA!"
files=$(git ls-files)
echo "These files will be deleted:
files=$(git ls-files)
echo "These files will be deleted:
read answer
[ "x$answer" = "xYes, do as I say" ] || exit 16
for file in $files; do
read answer
[ "x$answer" = "xYes, do as I say" ] || exit 16
for file in $files; do
- rm -f $file || echo "$SELF: info: could not delete '$file', continuing with deletion"
+ rm -f $file || info " could not delete '$file', continuing with deletion"
- rm -rf "$GIT_DIR" || echo "$SELF: info: could not delete '$GIT_DIR'"
+ rm -rf "$GIT_DIR" || info " could not delete '$GIT_DIR'"
cd "$old_dir"
verbose "delete end"
cd "$old_dir"
verbose "delete end"
rm -f "$tempfile" &&
exit
if [ -e "$HOME/.gitignore.d/$VCSH_REPO_NAME" ]; then
rm -f "$tempfile" &&
exit
if [ -e "$HOME/.gitignore.d/$VCSH_REPO_NAME" ]; then
- echo "$SELF: info: $HOME/.gitignore.d/$VCSH_REPO_NAME differs from new data, moving it to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak"
+ info " $HOME/.gitignore.d/$VCSH_REPO_NAME differs from new data, moving it to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak"
mv -f "$HOME/.gitignore.d/$VCSH_REPO_NAME" "$HOME/.gitignore.d/$VCSH_REPO_NAME.bak" ||
fatal "could not move $HOME/.gitignore.d/$VCSH_REPO_NAME to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak" 53
fi
mv -f "$HOME/.gitignore.d/$VCSH_REPO_NAME" "$HOME/.gitignore.d/$VCSH_REPO_NAME.bak" ||
fatal "could not move $HOME/.gitignore.d/$VCSH_REPO_NAME to $HOME/.gitignore.d/$VCSH_REPO_NAME.bak" 53
fi